import curses

def main():
    screen = curses.initscr()
    curses.start_color()
    curses.noecho()
    curses.cbreak()
    screen.keypad(True)

    # Set colors
    black = curses.color_pair(1)
    red = curses.color_pair(2)
    green = curses.color_pair(3)

    while True:
        # Clear the screen
        screen.clear()

        # Display information in first row
        screen.addstr(0, 0, "INFO: " + black("Field Info"))
        screen.refresh()

        # Split second row into two columns
        screen.addstr(1, 0, "Col 1: " + black("Functions"))
        screen.addstr(2, 0, "Col 2: " + black("WIP Actions"))
        screen.addstr(3, 0, "Col 2: " + black("Failed Actions"))

        # Split third row for Grafanna metrics
        screen.addstr(4, 0, "Col 1: " + green("Metric 1"))
        screen.addstr(5, 0, "Col 2: " + green("Metric 2"))

        # Last row for user commands
        screen.addstr(6, 0, "Commands: " + red("Command 1"))

        # Display the user interface and handle input
        curses.wbeginnen(2); curses.winsch([[2]]); 
        curses.wgetnstr(2,1); 

        while True:
            # Update information in first row
            screen.addstr(0, 20, black("Current Date"))
            screen.refresh()

            # Handle user input
            key = screen.getkey()
            if key == ord('q'):
                break

        curses.endwin()

if __name__ == "__main__":
    main()
